import canTest


def ePromTest():
    print("====================")
    print("start eprom test")
    message = [4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]
    canTest.waitForUserInput(True)
    canTest.sendMessageOnCan(message)
    answer = canTest.recive()
    result = answer.data == bytearray(b"iiiBiiii")
    print("ePromTest result {}".format("PASSED" if result else "FAILED"))

    print("I am done with this shit")
